#ifndef _PROCESSWORKS_
#define _PROCESSWORKS_ 1
#define PIDERROR -1
#define MEMERROR -2

#ifdef __TURBOC__
  #ifdef PW_STATIC_LINKING
    #ifdef __cplusplus
      #define __XTRN195 extern "C"
    #else
      #define __XTRN195 extern
    #endif
    __XTRN195 LONG __stdcall  _PID2ProcessNameA(DWORD ProcessId, LPSTR  lpProcessName);
    __XTRN195 LONG __stdcall  _PID2ProcessNameW(DWORD ProcessId, LPWSTR lpProcessName);
    __XTRN195 LONG __stdcall  _ProcessName2PIDA(LPCSTR  lpProcessName);
    __XTRN195 LONG __stdcall  _ProcessName2PIDW(LPCWSTR lpProcessName);
    __XTRN195 LONG __stdcall  _BuildPIDList(LPDWORD pPIDs, DWORD SizeInPIDs);

    #define  PID2ProcessNameA _PID2ProcessNameA
    #define  PID2ProcessNameW _PID2ProcessNameW
    #define  ProcessName2PIDA _ProcessName2PIDA 
    #define  ProcessName2PIDW _ProcessName2PIDW
    #define  BuildPIDList     _BuildPIDList

    #ifdef UNICODE
      #define PID2ProcessName _PID2ProcessNameW
      #define ProcessName2PID _ProcessName2PIDW
    #else
      #define PID2ProcessName _PID2ProcessNameA
      #define ProcessName2PID _ProcessName2PIDA
    #endif //UNICODE

    #pragma comment(lib,"SbProcessWorks.lib")
  #else
    #define __NORMAL0R 1
    #ifdef __cplusplus
      #define __XTRN195  extern "C" __declspec(dllimport)
    #else
      #define __XTRN195  __declspec(dllimport)
    #endif
    #pragma comment(lib,"bProcessWorks.lib")
  #endif //PW_STATIC_LINKING
#else
  #define __NORMAL0R 1
    #ifdef _MSC_VER
      #ifdef PW_STATIC_LINKING
        #ifdef __cplusplus
          #define __XTRN195 extern "C"
        #else
          #define __XTRN195 extern
        #endif
        #pragma comment(lib,"SProcessWorks")
      #else
        #ifdef __cplusplus
          #define __XTRN195  extern "C" __declspec(dllimport)
        #else
          #define __XTRN195  __declspec(dllimport)
        #endif
        #pragma comment(lib,"ProcessWorks")
      #endif
    #else
      #define __XTRN195
    #endif //#ifdef _MSC_VER
#endif //#ifdef __TURBOC__

#ifdef __NORMAL0R
 __XTRN195 DWORD __stdcall  PID2ProcessNameA(DWORD ProcessId, LPSTR  lpProcessName);
 __XTRN195 DWORD __stdcall  PID2ProcessNameW(DWORD ProcessId, LPWSTR lpProcessName);
 __XTRN195 DWORD __stdcall  ProcessName2PIDA(LPCSTR  lpProcessName);
 __XTRN195 DWORD __stdcall  ProcessName2PIDW(LPCWSTR lpProcessName);
 __XTRN195 DWORD __stdcall  BuildPIDList(LPDWORD pPIDs, DWORD SizeInPIDs);
#ifdef UNICODE
  #define PID2ProcessName PID2ProcessNameW
  #define ProcessName2PID ProcessName2PIDW
#else
  #define PID2ProcessName PID2ProcessNameA
  #define ProcessName2PID ProcessName2PIDA
#endif //UNICODE
#endif //NORMAL0R
#endif //_PROCESSWORKS_
