IFNDEF _PROCESSWORKS_
_PROCESSWORKS_ EQU 1

PIDERROR EQU -1
MEMERROR EQU -2

IFDEF PW_STATIC_LINKING
  IFDEF ??version
    _BuildPIDList     PROTO :DWORD, :DWORD
    _ProcessName2PIDA PROTO :DWORD
    _ProcessName2PIDW PROTO :DWORD
    _PID2ProcessNameA PROTO :DWORD, :DWORD
    _PID2ProcessNameW PROTO :DWORD, :DWORD
    BuildPIDList      EQU _BuildPIDList
    ProcessName2PIDA  EQU _ProcessName2PIDA
    ProcessName2PIDW  EQU _ProcessName2PIDW
    PID2ProcessNameA  EQU _PID2ProcessNameA
    PID2ProcessNameW  EQU _PID2ProcessNameW
    INCLUDELIB SbProcessWorks.lib 
    IF UNICODE
      ProcessName2PID EQU _ProcessName2PIDW
      PID2ProcessName EQU _PID2ProcessNameW
    ELSE
      ProcessName2PID EQU _ProcessName2PIDA
      PID2ProcessName EQU _PID2ProcessNameA
    ENDIF  
  ELSE
    BuildPIDList     PROTO :DWORD, :DWORD
    ProcessName2PIDA PROTO :DWORD
    ProcessName2PIDW PROTO :DWORD
    PID2ProcessNameA PROTO :DWORD, :DWORD
    PID2ProcessNameW PROTO :DWORD, :DWORD
    INCLUDELIB SProcessWorks.lib 
  ENDIF
ELSE
  BuildPIDList     PROTO :DWORD, :DWORD
  ProcessName2PIDA PROTO :DWORD
  ProcessName2PIDW PROTO :DWORD
  PID2ProcessNameA PROTO :DWORD, :DWORD
  PID2ProcessNameW PROTO :DWORD, :DWORD
  IFDEF ??version
    INCLUDELIB bProcessWorks.lib 
  ELSE
    INCLUDELIB ProcessWorks.lib 
  ENDIF
ENDIF

IF UNICODE
  ProcessName2PID EQU ProcessName2PIDW
  PID2ProcessName EQU PID2ProcessNameW
ELSE
  ProcessName2PID EQU ProcessName2PIDA
  PID2ProcessName EQU PID2ProcessNameA
ENDIF

ENDIF