unit ProcessWorks;

{$ALIGN ON}
{$MINENUMSIZE 4}

interface

const

  PIDERROR        = -1;
  MEMERROR        = -2;

//type
//  LPDWORD = ^LongWord;

function  PID2ProcessNameA (ProcessId : LongWord; lpProcessName : PAnsiChar) : LongWord; stdcall;
function  PID2ProcessNameW (ProcessId : LongWord; lpProcessName : PWideChar) : LongWord; stdcall;
function  ProcessName2PIDA (lpProcessName : PAnsiChar) : LongWord; stdcall;
function  ProcessName2PIDW (lpProcessName : PWideChar) : LongWord; stdcall;
function  BuildPIDList     (pPIDs : Cardinal; SizeInPIDs : LongWord) : LongWord; stdcall;


{$IFDEF UNICODE}
function  PID2ProcessName  (ProcessId : LongWord; lpProcessName : PWideChar) : LongWord; stdcall;
function  ProcessName2PID  (lpProcessName : PWideChar) : LongWord; stdcall;
{$ELSE}
function  PID2ProcessName  (ProcessId : LongWord; lpProcessName : PAnsiChar) : LongWord; stdcall;
function  ProcessName2PID  (lpProcessName : PAnsiChar) : LongWord; stdcall;
{$ENDIF}


implementation

const
  ProcessWorksDll = 'ProcessWorks.dll';

function  PID2ProcessNameA; external ProcessWorksDll name 'PID2ProcessNameA';
function  PID2ProcessNameW; external ProcessWorksDll name 'PID2ProcessNameW';
function  ProcessName2PIDA; external ProcessWorksDll name 'ProcessName2PIDA';
function  ProcessName2PIDW; external ProcessWorksDll name 'ProcessName2PIDW';
function  BuildPIDList;     external ProcessWorksDll name 'BuildPIDList';

{$IFDEF UNICODE}
function  PID2ProcessName;  external ProcessWorksDll name 'PID2ProcessNameW';
function  ProcessName2PID;  external ProcessWorksDll name 'ProcessName2PIDW';
{$ELSE}
function  PID2ProcessName;  external ProcessWorksDll name 'PID2ProcessNameA';
function  ProcessName2PID;  external ProcessWorksDll name 'ProcessName2PIDA';
{$ENDIF}
end.